// CreateCone.h : interface of the CreateCone class
// Creates a cone using left mouse down and drag


#ifndef _CREATECONE_H
#define _CREATECONE_H

#include "HBaseOperator.h"

class CParaHoopsView;

class  CreateCone : public HBaseOperator
{
public:

    CreateCone (HBaseView* view, int DoRepeat=0, int DoCapture=1);

	bool	m_state_in_handler;
	bool	m_double_click;
	float	m_radius_length;
	float	m_height;
	Vector	m_world_radius_vector;
    void	GetName(char *name);

    int		OnLButtonDown(HEventInfo &event);
    int		OnLButtonUp(HEventInfo &event);
    int		OnMouseMove(HEventInfo &event);

};
#endif